Bug 733119 (CVE-2011-3194) - CVE-2011-3194 qt buffer overflow in greyscale images
Summary: CVE-2011-3194 qt buffer overflow in greyscale images
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-3194
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100918,reported=20110824,sou...
Depends On: 736575 737812 737813
Blocks: 733120
TreeView+ depends on / blocked
 
Reported: 2011-08-24 20:03 UTC by Josh Bressers
Modified: 2019-06-08 18:54 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-15 22:52:56 UTC


Attachments (Terms of Use)
Upstream patch (2.36 KB, patch)
2011-09-08 06:09 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1323 normal SHIPPED_LIVE Moderate: qt security update 2011-09-21 17:54:59 UTC
Red Hat Product Errata RHSA-2011:1328 normal SHIPPED_LIVE Moderate: qt security update 2011-09-21 18:37:14 UTC

Description Josh Bressers 2011-08-24 20:03:27 UTC
QT contains a buffer overflow on greyscale images with multiple samples per
pixel.

From the upstream commit:
https://qt.gitorious.org/qt/qt/commit/cb6380beb81ab9571c547270c144988781fed465

fix tiff reader to handle TIFFTAG_SAMPLESPERPIXEL for grayscale images

This commit fixes reading a .tiff file from ImageMagick which reports
the following:
TIFFTAG_BITSPERSAMPLE = 8
TIFFTAG_SAMPLESPERPIXEL = 2
TIFFTAG_PHOTOMETRIC = PHOTOMETRIC_MINISBLACK
The reader uses QImage::Format_Indexed8, but since the samples per pixel
value this should be (non-existent) QImage::Format_Indexed16, causing
memory corruption. The fix falls back to the "normal" way of reading
tiff images.

Comment 1 Huzaifa S. Sidhpurwala 2011-09-08 06:09:25 UTC
Created attachment 522048 [details]
Upstream patch

Comment 3 Huzaifa S. Sidhpurwala 2011-09-08 06:34:55 UTC
This issue affects the version of qt shipped with Red Hat Enterprise Linux 6.

This issue does not affect the version of qt shipped with Red Hat Enterprise Linux 4. 

This issue does not affect the version of qt and qt4 shipped with Red Hat Enterprise Linux 5.

This issue does not affect the version of qt and qt3 shipped with Red Hat Enterprise Linux 6.

--

This issue affects the version of qt shipped with Fedora-14 and Fedora-15

Comment 4 Huzaifa S. Sidhpurwala 2011-09-08 06:36:43 UTC
Created qt tracking bugs for this issue

Affects: fedora-all [bug 736575]

Comment 5 Huzaifa S. Sidhpurwala 2011-09-08 07:13:31 UTC
We may also want to consider this patch while fixing the issue:

https://qt.gitorious.org/qt/qt/commit/c9d2445bc3bbccd3cc6cfb95f09108cabe981840

Reference:
https://bugreports.qt.nokia.com//browse/QTBUG-19878
https://bugreports.qt.nokia.com/browse/QTBUG-20167

Comment 12 errata-xmlrpc 2011-09-21 18:06:17 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1323 https://rhn.redhat.com/errata/RHSA-2011-1323.html

Comment 13 errata-xmlrpc 2011-09-21 18:37:23 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1328 https://rhn.redhat.com/errata/RHSA-2011-1328.html


Note You need to log in before you can comment on or make changes to this bug.